Anessa was previously called Insurely. You may still see the Insurely name in parts of our documentation while we complete the transition.

Routes

Create user

POSThttps://api.insurely.com/users

Create a new user with the given externalId.

Request

Header Parameters

Insurely-Versionstring

The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.

Possible Enum values are 2026-04-01.

Request Body

externalIdstring

Responses

User successfully created.

Body

anonymizedboolean
createdAtstring[date-time]
externalIdstring
updatedAtstring[date-time]
userUuidstring
cURL
curl https://api.insurely.com/users \
  -H "authorization-token: <authorization-token>" \
  -H "Insurely-Version: 2026-04-01" \
  -H "Content-Type: application/json" \
  -d '{
  "externalId": "string"
}' \
  -X POST